# アセットの完全削除を申請

正規URL： https://sosoapi.ai/ja/docs/api/assets-api-purges-request

契約: sha256:563d2d581da0ad29

検証済みエクスポートに含まれるアセットの保存データの完全削除を申請します（export_id、asset_ids。confirm_history_lossが必要な場合があります）。ワークスペースのオーナーのみ実行でき、削除後は復元できません。

POST /assets-api/purges/request

## 認証と権限

- **受け付ける認証情報の種類:** user_session, delegated_oauth, personal_access_token

- **委任された機能権限:** agent:operate

- **ワークスペースの最低ロール:** owner

- **アクセス範囲:** このユーザーがアクセスを許可されたリソース

- **すべてのワークスペースへの同意が必要:** いいえ

- **状態を変更:** はい

- **操作完了時：** synchronous_http_response

トークンは所有者の権利内でのみ使えます。各要求で所属、リソース所有権、選択ワークスペース、付与機能を確認します。coreとfullは表示だけを変え、アクセスは付与しません。

## リクエストのフィールド

```json
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "workspace_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "export_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "asset_ids": {
      "minItems": 1,
      "maxItems": 200,
      "type": "array",
      "items": {
        "type": "integer",
        "exclusiveMinimum": 0,
        "maximum": 9007199254740991
      }
    },
    "confirm_history_loss": {
      "default": false,
      "type": "boolean"
    },
    "idempotency_key": {
      "type": "string",
      "minLength": 8,
      "maxLength": 160
    }
  },
  "required": [
    "workspace_id",
    "export_id",
    "asset_ids"
  ]
}
```

## レスポンスと完了条件

成功時のHTTPステータス： 200

HTTP成功は完了ではなく受理の場合があります。バックグラウンド処理はIDを保存し、同じ処理を完了まで確認します。予約・受理された投稿はプラットフォーム確認後のみ公開済みです。タイムアウトだけでは結果を判断できません。

```json
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "purge_request_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "job_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "status": {
      "type": "string",
      "enum": [
        "requested",
        "claimed",
        "deleting_bytes",
        "needs_repair",
        "purged",
        "failed",
        "cancelled"
      ]
    },
    "classifications": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "asset_id": {
            "type": "integer",
            "exclusiveMinimum": 0,
            "maximum": 9007199254740991
          },
          "classification": {
            "type": "string",
            "enum": [
              "safe",
              "warning_history",
              "blocked_active"
            ]
          }
        },
        "required": [
          "asset_id",
          "classification"
        ]
      }
    },
    "deduped": {
      "type": "boolean"
    }
  },
  "required": [
    "purge_request_id",
    "job_id",
    "status",
    "classifications",
    "deduped"
  ]
}
```

## エラーと安全な再試行

HTTPステータスとレスポンス本文を確認します。400の検証エラーにはZodErrorが含まれる場合があります。ハンドラーエラーはerror、message、codeを使用します。診断用にrequest_idまたはx-request-idを保持し、認証情報は含めないでください。401/403はアクセス問題を解消してから再試行し、429はRetry-Afterに従います。書き込み結果が不確か、または5xxの場合は、まず既存の結果を取得してください。冪等性キーは対応する操作でのみ再利用します。再試行の挙動は操作ごとに異なり、厳密に一回の配信は保証しません。

## 例

スキーマ確認済みの架空値の例です。認可されたID、準備済みメディア、確認済みの公開日時に置き換え、書き込み前に適格性を確認してください。このページはAPIを呼びません。

サーバーのSOSOAPI_ACCESS_TOKENに操作が受け付ける認証情報を設定し、ブラウザーコードに含めないでください。エージェントはsosoapi auth loginでブラウザーログインし、CLIに更新を任せます。

request.json

```json
{
  "workspace_id": "11111111-1111-4111-8111-111111111111",
  "export_id": "11111111-1111-4111-8111-111111111111",
  "asset_ids": [
    1
  ]
}
```

cURL

```bash
curl --request POST \
  "https://gqeshlawtcexsapabaui.supabase.co/functions/v1/assets-api/purges/request" \
  -H "Authorization: Bearer $SOSOAPI_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  --data-binary @request.json
```

JavaScript

```js
// Server-side JavaScript. Do not print tokens or credential-bearing responses.
const token = process.env.SOSOAPI_ACCESS_TOKEN;
if (!token) throw new Error("Set an accepted credential for this operation");
const response = await fetch("https://gqeshlawtcexsapabaui.supabase.co/functions/v1/assets-api/purges/request", {
  method: "POST",
  headers: { "Content-Type": "application/json", Authorization: "Bearer " + token },
  body: JSON.stringify({
  "workspace_id": "11111111-1111-4111-8111-111111111111",
  "export_id": "11111111-1111-4111-8111-111111111111",
  "asset_ids": [
    1
  ]
})
});
const result = await response.json();
// Check response.ok, the operation-specific body and completion state before continuing.
```

CLI

```bash
npx sosoapi api post /assets-api/purges/request < request.json
```

合成レスポンス例

```json
{
  "purge_request_id": "11111111-1111-4111-8111-111111111111",
  "job_id": "11111111-1111-4111-8111-111111111111",
  "status": "requested",
  "classifications": [],
  "deduped": false
}
```

## 関連ツールとガイド

MCP: sosoapi_request_asset_purge

[APIリファレンス](https://sosoapi.ai/ja/docs/api)
